# Copyright (C) 2021 VMware, Inc. All rights reserved.
# -- VMware Confidential

logger.debug("data_store:{}".format(data_store))

def handle_notification(notification, profile):
    Exportdata(data = notification['value']['val'], exports = ['tsdb_metrics'])

profile = data_store['profile']
for key in data_store['metrics'].keys():
    if data_store['metrics'][key]:
        notification = data_store['metrics'][key]
        handle_notification(notification, profile)
    else:
        logger.warn("Metric {}: No changes needs be reported.".format(key))
